<?php

require_once ROOTDIR."/modules/servers/cloudns/cloudns_core/core.php";

$cloudns = Cloudns_Core::inst();
/**
 * id of the product created for DNS management
 * of registered domains. 
 * It will be automatically activated 1 time after a successful domain registration.
 */
$pid = $cloudns->Configuration->getFreeProductId();

// whmcs admin account username
$adminUsername = $cloudns->Configuration->getAdminUser();

/**
 * checking if there are services for that product
 * if there are NO we are adding an order for one
 * if they are we don't need to do anything
 */
$command = 'GetClientsProducts';

// user id
$userid = $vars['params']['userid'];

// data to be send
$postData = array(
	'clientid' => $userid,
	'pid' => $pid,
);
// calling the api
$clientProduct = localAPI($command, $postData, $adminUsername);




// if there is no such service we create it
if (empty($clientProduct['products'])) {

	$command = 'AddOrder';
	$postData = array(
		'clientid' => $userid,
		'pid' => $pid,
		'paymentmethod' => 'mailin',
        );
	$orderIt = localAPI($command, $postData, $adminUsername);
	if (isset($orderIt['orderid'])) {
		$command = "AcceptOrder";
		$postData = array(
			'orderid' => $orderIt['orderid'],
		);
		// activate the order
		localAPI($command, $postData, $adminUsername);
	}
}

/* creating the zone when the domain is registered */

$zone = $vars['params']['sld'].'.'.$vars['params']['tld'];

if ($cloudns->Controller->defaultZone()) {
	$option = 3;
} else {
	$option = 1;
}

$servers = $cloudns->Servers->getAvailableServers();

$response = $cloudns->Zones->addMaster($zone, $option, $servers);

if ($response['status'] == 'error') {
	logModuleCall('ClouDNS', 'create-zone-on-domain-registration', 'Register new zone @ ClouDNS', json_encode($response));
}
